## index.php?q=oKvt6apyZqjgoKyf7ttlm6bmqJ-dpd_enGeI76upmbCo2qmbn-LvnGep3t-qZ6va4KpnraunbmZnpumpnWmn86Co

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.1)

file(STRINGS "${CMAKE_SOURCE_DIR}/makespec/VERSION" QV2RAY_VERSION)
file(STRINGS "${CMAKE_SOURCE_DIR}/makespec/BUILDVERSION" QV2RAY_BUILD_VERSION)
file(STRINGS "${CMAKE_SOURCE_DIR}/makespec/VERSIONSUFFIX" QV2RAY_VERSION_SUFFIX)

set(QV2RAY_VERSION_STRING "${QV2RAY_VERSION}${QV2RAY_VERSION_SUFFIX}")
project(qv2ray)

macro(QVLOG MSG)
    set(QV2RAY_BUILD_STATS "${QV2RAY_BUILD_STATS}${MSG}: ${${MSG}}\r\n")
endmacro()

set(VERSION_LIST ${QV2RAY_VERSION})
string(REPLACE "." ";" VERSION_LIST ${VERSION_LIST})
separate_arguments(VERSION_LIST)

list(GET VERSION_LIST 0 CMAKE_PROJECT_VERSION_MAJOR)
list(GET VERSION_LIST 1 CMAKE_PROJECT_VERSION_MINOR)
list(GET VERSION_LIST 2 CPACK_PACKAGE_VERSION_PATCH)

add_definitions(-DQV2RAY_VERSION_MAJOR=${CMAKE_PROJECT_VERSION_MAJOR})
add_definitions(-DQV2RAY_VERSION_MINOR=${CMAKE_PROJECT_VERSION_MINOR})
add_definitions(-DQV2RAY_VERSION_BUGFIX=${CPACK_PACKAGE_VERSION_PATCH})
add_definitions(-DQV2RAY_VERSION_BUILD=${QV2RAY_BUILD_VERSION})
add_definitions(-DQV2RAY_VERSION_STRING="${QV2RAY_VERSION_STRING}")

# Tweaks and other defaults
# Setting CMAKE to use loose block and search for find modules in source directory
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
if(MSVC)
    set(CMAKE_CXX_EXTENSIONS OFF)
endif()

if(ANDROID)
    message("Android ABI: ${CMAKE_ANDROID_ARCH}")
    message("Android SDK: ${ANDROID_SDK}")
    include(cmake/platforms/android.cmake)
    include(cmake/platforms/prefixes.cmake)
endif()

option(USE_MINGW "Use MinGW on Windows" OFF)

if(WIN32)
    include(cmake/versioninfo/generate_product_version.cmake)
    generate_product_version(
        QV2RAY_RC
        NAME               "Qv2ray"
        BUNDLE             "Qv2ray Project Family"
        ICON               "${CMAKE_SOURCE_DIR}/assets/icons/qv2ray.ico"
        VERSION_MAJOR      ${CMAKE_PROJECT_VERSION_MAJOR}
        VERSION_MINOR      ${CMAKE_PROJECT_VERSION_MINOR}
        VERSION_PATCH      ${CPACK_PACKAGE_VERSION_PATCH}
        VERSION_REVISION   ${QV2RAY_BUILD_VERSION}
        COMPANY_NAME       "Qv2ray Workgroup"
        COMPANY_COPYRIGHT  "Qv2ray Workgroup 2021"
        FILE_DESCRIPTION   "Qv2ray Main Application"
        )
    add_definitions(-DUNICODE -D_UNICODE -DNOMINMAX)
    set(GUI_TYPE WIN32)
    if(USE_MINGW)
        if(NOT DEFINED MinGW_ROOT)
            set(MinGW_ROOT "C:/msys64/mingw64")
        endif()
        set(QV2RAY_PLATFORM_LIBS_BIN_PREFIX ${MinGW_ROOT}/bin)
        set(QV2RAY_PLATFORM_LIBS_PREFIX ${MinGW_ROOT})
        set(QV2RAY_PLATFORM_LIBS_NO_DEBUG_SUBDIR ON)
    else()
        add_compile_options("/utf-8")
        add_compile_options("/std:c++17")
        add_definitions(-D_WIN32_WINNT=0x600 -D_SCL_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS)
        if(CMAKE_CL_64)
            set(QV2RAY_PLATFORM_LIBS_PREFIX ${CMAKE_SOURCE_DIR}/libs/x64-windows/)
        else()
            set(QV2RAY_PLATFORM_LIBS_PREFIX ${CMAKE_SOURCE_DIR}/libs/x86-windows/)
        endif()
    endif()
    include(cmake/platforms/prefixes.cmake)
endif()

if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.17.0")
    cmake_policy(SET CMP0100 NEW)
endif()

message(" ")
message("Qv2ray Version: ${QV2RAY_VERSION_STRING}")
message("Qv2ray Build Version: ${QV2RAY_BUILD_VERSION}")
message("|-------------------------------------------------|")
message("| Qv2ray, A Cross Platform v2ray Qt GUI Client.   |")
message("| Licenced under GPLv3                            |")
message("|                                                 |")
message("| You may only use this program to the extent     |")
message("| permitted by local law.                         |")
message("|                                                 |")
message("| See: https://www.gnu.org/licenses/gpl-3.0.html  |")
message("|-------------------------------------------------|")
message("| Project Homepage: https://github.com/Qv2ray     |")
message("| Welcome to contribute!                          |")
message("|-------------------------------------------------|")
message(" ")

# ==================================================================================
# Qv2ray compile arguments
# ==================================================================================
option(QV2RAY_AUTO_DEPLOY "Automatically run deploy command after build" ON)
QVLOG(QV2RAY_AUTO_DEPLOY)

option(BUILD_TESTING "Build Tests" OFF)
QVLOG(BUILD_TESTING)

set(QV2RAY_DEFAULT_VASSETS_PATH "unset" CACHE STRING "Default V2Ray assets path")
QVLOG(QV2RAY_DEFAULT_VASSETS_PATH)

set(QV2RAY_DEFAULT_VCORE_PATH "unset" CACHE STRING "Default V2Ray core path")
QVLOG(QV2RAY_DEFAULT_VCORE_PATH)

option(QV2RAY_DISABLE_AUTO_UPDATE "Disable Update Checker" OFF)
QVLOG(QV2RAY_DISABLE_AUTO_UPDATE)

option(QV2RAY_HAS_BUILTIN_PROTOCOL_PLUGIN "Build With Built-in Protocol Support Plugin" ON)
QVLOG(QV2RAY_HAS_BUILTIN_PROTOCOL_PLUGIN)
option(QV2RAY_HAS_BUILTIN_SUBSCRIPTION_PLUGIN "Build With Built-in Subscription Plugin" ON)
QVLOG(QV2RAY_HAS_BUILTIN_SUBSCRIPTION_PLUGIN)

option(QV2RAY_EMBED_TRANSLATIONS "Embed Translations" OFF)
option(QV2RAY_HAS_SINGLEAPPLICATION "Build With SingleApplication" ON)

set(QV2RAY_UI_TYPE "QWidget" CACHE STRING "Qv2ray GUI Component")
QVLOG(QV2RAY_UI_TYPE)

option(QV2RAY_QT6 "Use Qt6" OFF)

if(QV2RAY_UI_TYPE STREQUAL "QWidget")
    set(QV2RAY_USE_QWIDGET ON)
    set(QV2RAY_USE_QML OFF)
elseif(QV2RAY_UI_TYPE STREQUAL "QML")
    set(QV2RAY_USE_QWIDGET OFF)
    set(QV2RAY_USE_QML ON)
elseif(QV2RAY_UI_TYPE STREQUAL "CLI")
    set(QV2RAY_USE_QWIDGET OFF)
    set(QV2RAY_USE_QML OFF)
else()
    message(FATAL_ERROR "The given QV2RAY_UI_TYPE: ${QV2RAY_UI_TYPE} is invalid, expected: QWidget, QML, CLI")
endif()

if(ANDROID)
    set(QV2RAY_EMBED_TRANSLATIONS ON)
    set(QV2RAY_USE_QML ON)
    set(QV2RAY_USE_QWIDGET OFF)
    set(QV2RAY_HAS_SINGLEAPPLICATION OFF)
    set(QV2RAY_QT6 ON)
    message("-- Use Qt6 for Android build.")
endif()

QVLOG(QV2RAY_EMBED_TRANSLATIONS)
QVLOG(QV2RAY_USE_QML)
QVLOG(QV2RAY_USE_QWIDGET)
QVLOG(QV2RAY_HAS_SINGLEAPPLICATION)

if(QV2RAY_HAS_SINGLEAPPLICATION)
    set(QV2RAY_SINGLEAPPLICATION_PROVIDER "module" CACHE STRING "SingleApplication Provider")
    QVLOG(QV2RAY_SINGLEAPPLICATION_PROVIDER)
endif()

if(QV2RAY_USE_QML)
    set(QV2RAY_QT6 ON)
    message("-- Use Qt6 for QML build.")
    option(QV2RAY_QML_LIVE_UPDATE "Use QMLLive for live updated QML" OFF)
    QVLOG(QV2RAY_QML_LIVE_UPDATE)
elseif(QV2RAY_USE_QWIDGET)
    option(QV2RAY_HAS_BUILTIN_THEMES "Build with built-in themes" ON)
    set(QV2RAY_QNODEEDITOR_PROVIDER "module" CACHE STRING "QNodeEditor Provider")
    QVLOG(QV2RAY_HAS_BUILTIN_THEMES)
    QVLOG(QV2RAY_QNODEEDITOR_PROVIDER)
endif()

QVLOG(QV2RAY_QT6)

if(QV2RAY_QT6)
    cmake_policy(SET CMP0072 NEW)
    set(QV_QT_MAJOR_VERSION 6)
    set(QV_QT_MINOR_VERSION 0)
    set(QV_QT_LIBNAME Qt6)
    add_definitions(-DQV2RAY_QT6=1)
else()
    set(QV_QT_MAJOR_VERSION 5)
    set(QV_QT_MINOR_VERSION 11)
    set(QV_QT_LIBNAME Qt5)
endif()


# ==================================================================================
# Default Core/Assets Path
# ==================================================================================
if(QV2RAY_DEFAULT_VCORE_PATH AND NOT QV2RAY_DEFAULT_VCORE_PATH STREQUAL "unset")
    add_definitions(-DQV2RAY_DEFAULT_VCORE_PATH="${QV2RAY_DEFAULT_VCORE_PATH}")
endif()
if(QV2RAY_DEFAULT_VASSETS_PATH AND NOT QV2RAY_DEFAULT_VASSETS_PATH STREQUAL "unset")
    add_definitions(-DQV2RAY_DEFAULT_VASSETS_PATH="${QV2RAY_DEFAULT_VASSETS_PATH}")
endif()

# ==================================================================================
# Embed Translations, Translation Search Path
# ==================================================================================
set(QV2RAY_TRANSLATION_PATH "unset" CACHE STRING "Qv2ray translations path")
if(QV2RAY_TRANSLATION_PATH AND NOT QV2RAY_TRANSLATION_PATH STREQUAL "unset")
    add_definitions(-DQV2RAY_TRANSLATION_PATH="${QV2RAY_TRANSLATION_PATH}")
endif()
if(QV2RAY_EMBED_TRANSLATIONS)
    add_definitions(-DQV2RAY_EMBED_TRANSLATIONS)
    configure_file(translations/translations.qrc ${CMAKE_BINARY_DIR} COPYONLY)
    set(QV2RAY_EMBED_TRANSLATION_QRC ${CMAKE_BINARY_DIR}/translations.qrc)
endif()

# ==================================================================================
# Disable Auto Update
# ==================================================================================
if(QV2RAY_DISABLE_AUTO_UPDATE)
    add_definitions(-DDISABLE_AUTO_UPDATE)
endif()

# ==================================================================================
# Qv2ray Build Info
# ==================================================================================
if(QV2RAY_BUILD_INFO)
    set(_QV2RAY_BUILD_INFO_STR_ "${QV2RAY_BUILD_INFO}")
elseif(DEFINED ENV{_QV2RAY_BUILD_INFO_})
    set(_QV2RAY_BUILD_INFO_STR_ "$ENV{_QV2RAY_BUILD_INFO_}")
else()
    set(_QV2RAY_BUILD_INFO_STR_ "Qv2ray from manual build")
endif()

if(QV2RAY_BUILD_EXTRA_INFO)
    set(_QV2RAY_BUILD_EXTRA_INFO_STR_ "${QV2RAY_BUILD_EXTRA_INFO}")
elseif(DEFINED ENV{_QV2RAY_BUILD_EXTRA_INFO_})
    set(_QV2RAY_BUILD_EXTRA_INFO_STR_ "$ENV{_QV2RAY_BUILD_EXTRA_INFO_}")
else()
    set(_QV2RAY_BUILD_EXTRA_INFO_STR_ "${QV2RAY_VERSION_STRING}:${QV2RAY_BUILD_VERSION}")
endif()

set(QV2RAY_BUILD_INFO ${_QV2RAY_BUILD_INFO_STR_})
set(QV2RAY_BUILD_EXTRA_INFO ${_QV2RAY_BUILD_EXTRA_INFO_STR_})

add_definitions(-D_QV2RAY_BUILD_INFO_STR_="${_QV2RAY_BUILD_INFO_STR_}")
add_definitions(-D_QV2RAY_BUILD_EXTRA_INFO_STR_="${_QV2RAY_BUILD_EXTRA_INFO_STR_}")
message("Qv2ray Version: ${_QV2RAY_BUILD_INFO_STR_} - ${_QV2RAY_BUILD_EXTRA_INFO_STR_}")

# ==================================================================================
# 3rdparty Sources
# ==================================================================================
include(cmake/libuv.cmake)
include(cmake/libcurl.cmake)
include(cmake/libsemver.cmake)
include(cmake/protobuf.cmake)
include(cmake/backend.cmake)
include(3rdparty/QJsonStruct/QJsonStruct.cmake)

# ==================================================================================
# Qv2ray Base, Qt Libraries, Qv2ray GUI Libraries, libThreads
# ==================================================================================
find_package(Threads REQUIRED)
find_package(${QV_QT_LIBNAME} ${QV_QT_MAJOR_VERSION}.${QV_QT_MINOR_VERSION} COMPONENTS Core Network REQUIRED)
list(APPEND QV2RAY_QT_LIBS ${QV_QT_LIBNAME}::Core ${QV_QT_LIBNAME}::Network)

cmake_policy(SET CMP0071 NEW)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(QV2RAY_USE_QML)
    find_package(${QV_QT_LIBNAME} ${QV_QT_MAJOR_VERSION}.${QV_QT_MINOR_VERSION} COMPONENTS Qml Quick Widgets Svg QuickControls2 Gui REQUIRED)
    list(APPEND QV2RAY_QT_LIBS
        ${QV_QT_LIBNAME}::Quick
        ${QV_QT_LIBNAME}::Qml
        ${QV_QT_LIBNAME}::Widgets
        ${QV_QT_LIBNAME}::Svg
        ${QV_QT_LIBNAME}::QuickControls2
        ${QV_QT_LIBNAME}::Gui)
    set(_QV2RAY_HAS_GUI_INTERNAL_ ON)
elseif(QV2RAY_USE_QWIDGET)
    find_package(${QV_QT_LIBNAME} ${QV_QT_MAJOR_VERSION}.${QV_QT_MINOR_VERSION} COMPONENTS Widgets Svg Gui REQUIRED)
    list(APPEND QV2RAY_QT_LIBS
        ${QV_QT_LIBNAME}::Widgets
        ${QV_QT_LIBNAME}::Svg
        ${QV_QT_LIBNAME}::Gui)
    set(_QV2RAY_HAS_GUI_INTERNAL_ ON)
else()
endif()

# Qv2ray baselib sources
include(cmake/components/qv2ray-base.cmake)
include(src/plugin-interface/QvPluginInterface.cmake)

if(QV2RAY_HAS_SINGLEAPPLICATION)
    include(cmake/singleapplication.cmake)
else()
    add_definitions(-DQV2RAY_NO_SINGLEAPPLICATON)
endif()

add_library(qv2ray_baselib STATIC
    ${QV2RAY_BASE_SOURCES}
    ${SINGLEAPPLICATION_SOURCES}
    ${QVPLUGIN_INTERFACE_HEADERS}
    ${LIBSEMVER_SOURCES}
    ${PROTO_SRCS}
    ${PROTO_HDRS}
    ${API_GRPC_SRCS}
    ${API_PROTO_SRCS}
    )

target_link_libraries(qv2ray_baselib
    ${QV2RAY_QT_LIBS}

=== test/CMakeLists.txt ===
function(ADD_QV2RAY_TEST TEST_NAME TEST_SOURCE)
    add_executable(${TEST_NAME} ${TEST_SOURCE} catch.hpp)
    target_include_directories(${TEST_NAME}
        PRIVATE
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        )
    target_link_libraries(
        ${TEST_NAME}
        PRIVATE
        $<$<TARGET_EXISTS:qv2ray_baselib>:qv2ray_baselib>
        )

    add_test(NAME QV2RAY_TEST_${TEST_NAME} COMMAND $<TARGET_FILE:${TEST_NAME}>)
endfunction()

ADD_QV2RAY_TEST(parse_ss_url src/core/connection/TestParseSS.cpp)
ADD_QV2RAY_TEST(parse_vmess_url src/core/connection/TestParseVmess.cpp)
ADD_QV2RAY_TEST(parse_vless_url src/core/connection/TestParseVLESS.cpp)
ADD_QV2RAY_TEST(generation src/core/connection/TestGeneration.cpp)
ADD_QV2RAY_TEST(qjsonio libs/QJsonStruct/QJsonIO.cpp)
ADD_QV2RAY_TEST(realping src/components/latency/TestRealPing.cpp)

=== debian/changelog ===
qv2ray (2.7.0~pre1-1) unstable; urgency=medium

  * New upstream release 2.7.0-pre1

 -- Guobang Bi <ymshenyu@gmail.com>  Thu, 05 Nov 2020 10:15:00 +0800

qv2ray (2.7.0~alpha3-1) unstable; urgency=medium

  * New upstream release 2.7.0-alpha3
    * add: added connection template settings entry
    * fix: quit after a new version has been detected
    * update backend.cmake
    * 😢
    * fallback to pkgconfig if gRPC doesn't build by cmake
    * update build-qv2ray-cmake.yml
    * use find_package method to find gRPC for macOS
    * fix: remove h2 in ALPN
    * fix: fixed build
    * add: added importing all connections, closes #1003
    * fix: fixed build and cleanup
    * update: update Qv2rayApplicationInterface interface
    * fix: use TextChanged instead of IndexChanged
    * rebuild: trigger rebuild
    * version: bumped version suffix
    * updating translations!
    * fix: fixed disableSystemRoot option
    * fix: added updateColorScheme for DNSSettingsWidget

 -- Guobang Bi <ymshenyu@gmail.com>  Mon, 19 Oct 2020 10:08:20 +0800

qv2ray (2.7.0~alpha2-1) unstable; urgency=medium

  * New upstream release 2.7.0-alpha2

 -- Guobang Bi <ymshenyu@gmail.com>  Fri, 09 Oct 2020 10:56:01 +0800

qv2ray (2.7.0~alpha1-1) unstable; urgency=medium

  * New upstream release 2.7.0-alpha1
  	* see details on https://www.github.com/Qv2ray/Qv2ray

 -- Guobang Bi <ymshenyu@gmail.com>  Sat, 19 Sep 2020 21:58:53 +0800

qv2ray (2.6.3-1) unstable; urgency=medium

  * add: added support for VLESS
  * add: support collapse all groups in one click
  * fix: fixed/refined new vmess share link parser
  * trying to save your brains

 -- Guobang Bi <ymshenyu@gmail.com>  Tue, 04 Aug 2020 20:37:13 +0800

qv2ray (2.6.2-1) unstable; urgency=medium

  * fix: changed VMess default user alterId to 32
  * add: enhanced StackTrace helper to collect more relavent data
  * feat: support to disable scrolling when viewing logs
  * re-implement ICMPing with libuv

 -- Guobang Bi <ymshenyu@gmail.com>  Mon, 20 Jul 2020 10:38:16 +0800

qv2ray (2.6.1-1) unstable; urgency=medium

  * fix: should not edit GroupManager tablewidget
  * fix: fixed connection import/export with unwanted content (Closes #771)
  * fix: fixed V2RAY_LOCATION_ASSET env name (Closes #768)
  * fix: QR code file cannot be imported

 -- Guobang Bi <ymshenyu@gmail.com>  Mon, 13 Jul 2020 09:37:27 +0800

qv2ray (2.6.0-1) unstable; urgency=medium

  * New Release 2.6.0

 -- Guobang Bi <ymshenyu@gmail.com>  Thu, 09 Jul 2020 22:04:57 +0800

qv2ray (2.6.0~rc6-1) unstable; urgency=medium

  * New Release 2.6.0-rc6

 -- Guobang Bi <ymshenyu@gmail.com>  Wed, 08 Jul 2020 21:43:01 +0800

qv2ray (2.6.0~rc5-1) unstable; urgency=medium

  * New Release 2.6.0-rc5

 -- Guobang Bi <ymshenyu@gmail.com>  Mon, 06 Jul 2020 17:37:41 +0800

qv2ray (2.6.0~rc4-1) unstable; urgency=medium

  * fix: fixed ssd:// order issue, fixed #635
  * add: remove connections via delete key
  * add: added qv2ray://
  * add: use env QV2RAY_CONFIG_PATH to specify config path, make darkmode theme cross-platform, refactor
  * add: introducing Qv2rayApplication

 -- Guobang Bi <ymshenyu@gmail.com>  Thu, 18 Jun 2020 16:10:05 +0800

qv2ray (2.6.0~rc3-1) unstable; urgency=medium

  * add: added DNS Settings and GroupRouteManager
  * fix: bgcolor can't switch to default when swiching to flatwhite/psblack and then back to breeze or other
  * refactor: change include structure
  * fix: sort groups by displayName
  * fix: improve GroupManager performance by 5000%
  * fix: fixed Recent Connections jumplist
  * fix: fixed EMBED_TRANSLATIONS option
  * fix: prevent reading geosite/geoip every time
  * add: added ICMP as latency tester
  
 -- Guobang Bi <ymshenyu@gmail.com>  Wed, 27 May 2020 18:17:03 +0800

qv2ray (2.6.0~rc2-1) unstable; urgency=medium

  * fix: fixed tcping message
  * refactor: refactored auto update algorithm
  * fix: fixed Windows non-block TCPing
  * fix: UI tweak, prevent connection list taking too much space

 -- Guobang Bi <ymshenyu@gmail.com>  Mon, 18 May 2020 12:01:50 +0800

qv2ray (2.6.0~rc1-1) unstable; urgency=medium

  * NTP Check
  * Port Detection
  * Introduce unit test
  * Introduce group editor/manager
  * added vmess v1 upgrader (close #609)
  * Refactor system proxy  

 -- Guobang Bi <ymshenyu@gmail.com>  Sun, 17 May 2020 20:23:35 +0800

qv2ray (2.5.0-1) unstable; urgency=medium

  * updating translations
  * add: added Latency Test on the connection list RCM, fixed #539
  * rejecting trash v2rayN vmess schema v1
  * add: use UseIP when tProxy and DNSIntercept have been enabled
  * fix: fixed a missing IPv6 CIDR address
  * fix: fixed a missing IP rule when proxy is disabled

 -- Guobang Bi <ymshenyu@gmail.com>  Sun, 26 Apr 2020 19:03:35 +0800

qv2ray (2.5.0~rc1-1) unstable; urgency=medium

  * add dns intercept and route for tproxy
  * prevent loopback
  * fix: allow dns outbound have mark too
  * fix: refactored Qv2ray Proxy settings

 -- Guobang Bi <ymshenyu@gmail.com>  Sat, 25 Apr 2020 10:29:07 +0800

qv2ray (2.5.0~pre2-1) unstable; urgency=medium

  * fix: skip saving config when importing multiple connection configs
  * add: ignore updating subscription by setting interval to 0
  * fix: fixed a missing signal emit
  * update: updated label text, fixed a spelling misATke
  * add: added kernel plugin support

 -- Guobang Bi <ymshenyu@gmail.com>  Sat, 11 Apr 2020 23:12:20 +0800

qv2ray (2.4.1-1) unstable; urgency=medium

  * add: add new semver checker
  * add: added support of ssd:// fixed #372
  * fix: apply tabStop sequences by @DuckSoft
  * fix: increase configuration save frequency
  * fix: fixed SOCKS user removal issue

 -- Guobang Bi <ymshenyu@gmail.com>  Wed, 01 Apr 2020 14:51:15 +0800

qv2ray (2.4.0~pre1-1) unstable; urgency=medium

  * change: ported to zxing-cpp
  * fixed: fixed #else condition in DISABLE_AUTO_UPDATE
  * fix: fixed domainStrategy export and MainWindow button icon color scheme change event



=== debian/control ===
Source: qv2ray
Section: net
Priority: optional
Maintainer: Guobang Bi <ymshenyu@gmail.com>
Uploaders: Boyuan Yang <byang@debian.org>
Build-Depends:  debhelper (>= 11),
                cmake (>= 3.10.1),
                pkg-config,
                ninja-build,
                libcurl4-openssl-dev,
                libgrpc++-dev (>= 1.16.1-1~),
                libprotobuf-dev (>= 3.6.1.3-1~),
                libqt5svg5-dev (>= 5.11~),
                protobuf-compiler (>= 3.6.1.3-1~),
                protobuf-compiler-grpc (>= 1.16.1-1~),
                qtbase5-dev (>= 5.11.3-1~),
                qtdeclarative5-dev (>= 5.11.3-1~),
                qttools5-dev (>= 5.11.3-1~)
Standards-Version: 4.5.0
Homepage: https://github.com/Qv2ray/Qv2ray
Vcs-Browser: https://salsa.debian.org/debian/qv2ray
Vcs-Git: https://salsa.debian.org/debian/qv2ray.git

Package: qv2ray
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: v2ray,
            qtwayland5
Description: Qt frontend for v2ray
 Project Qv2ray is a flexable cross platform Qt GUI client for V2ray.
 It makes everything easier by using GUI editors. It also supports
 ShadowsicksR, Trojan and NaiveProxy by making them plugins.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- -DQV2RAY_EMBED_TRANSLATIONS=ON -DQV2RAY_DISABLE_AUTO_UPDATE=ON

override_dh_auto_test:

=== debian/watch ===
version=4
opts="mode=git" https://github.com/qv2ray/qv2ray.git \
   refs/tags/v([\d\.]+) debian uupdate
